general:
  name: fxc34ran
  root_dir:

dset:
  prior_sampler:
    cls: SubpriorParametricSampler
    kwargs:
      param_ranges:
        thicknesses:
        - 1.0
        - 500.0
        roughnesses:
        - 0.0
        - 60.0
        slds:
        - -1.0
        - 16.0
      bound_width_ranges:
        thicknesses:
        - 0.01
        - 500.0
        roughnesses:
        - 0.01
        - 60.0
        slds:
        - 0.01
        - 5.0
      model_name: standard_model
      max_num_layers: 2
      constrained_roughness: true
      max_thickness_share: 0.5
      logdist: false
      scale_params_by_ranges: true
      scaled_range: [-1., 1.]
      device: cuda
  q_generator:
    cls: ConstantQ
    kwargs:
      q:
      - 0.005
      - 0.11
      - 128
      device: cuda
  intensity_noise:
    cls: GaussianExpIntensityNoise
    kwargs:
      relative_errors: [0.01, 0.3]
      consistent_rel_err: false
      apply_shift: false
      shift_range: [-0.3, 0.3]
      apply_background: true
      background_range: [1.0e-10, 1.0e-4]
      add_to_context: true

  smearing:
    cls: Smearing
    kwargs:
      sigma_range: [0.01, 0.10]
      constant_dq: false
      gauss_num: 17
      share_smeared: 0.8

  curves_scaler:
    cls: LogAffineCurvesScaler
    kwargs:
      weight: 0.2
      bias: 1.0
      eps: 1.0e-10

model:
  network:
    cls: NSFWithConvEmb
    pretrained_name:
    device: cuda
    kwargs:
      in_channels: 1
      hidden_channels: [32, 64, 128, 256, 512]
      dim_embedding: 128
      dim_avpool: 1
      embedding_net_activation: gelu
      use_batch_norm: true
      dim_out: 8
      hidden_features:
      - 1024
      - 1024
      transforms: 6
      pretrained_embedding_net:
      use_embedding_net: true

training:
  trainer_cls: NFPointEstimatorTrainer
  num_iterations: 10000
  batch_size: 4096
  lr: 0.000741075460817293
  grad_accumulation_steps: 1
  clip_grad_norm_max: 1.0
  train_with_q_input: false
  update_tqdm_freq: 1
  optimizer: AdamW
  trainer_kwargs:
    optim_kwargs:
      betas: [0.9, 0.999]
      weight_decay: 0.0005
    sim_loss_weight: 1.0
    exp_loss_weight: 8.78790938482783
  callbacks:
    save_best_model:
      enable: true
      freq: 100
    lr_scheduler:
      cls: StepLR
      kwargs:
        step_size: 2000
        gamma: 0.9
  logger:
    use_neptune: false

model_id: fxc34ran
